Bug 75046 - ICE
Summary: ICE
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-03 22:38 UTC by David Woodhouse
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-15 19:15:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
offending C file (2.57 KB, text/plain)
2002-10-03 22:39 UTC, David Woodhouse
no flags Details

Description Red Hat Bugzilla 2002-10-03 22:38:31 UTC
passion /home/dwmw2 $ gcc -O asd.c -c
asd.c: In function `MOBreal':
asd.c:49: warning: right shift count >= width of type
asd.c:51: warning: right shift count >= width of type
asd.c:108: warning: right shift count >= width of type
asd.c:109: warning: right shift count >= width of type
asd.c:124: Internal compiler error in simplify_subreg, at simplify-rtx.c:2452
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
passion /home/dwmw2 $ rpm -q gcc
gcc-3.2-7

Comment 1 Red Hat Bugzilla 2002-10-03 22:39:35 UTC
Created attachment 78464 [details]
offending C file

Comment 2 Red Hat Bugzilla 2002-10-15 19:15:09 UTC
I hit this trying to build a PPC cross-binutils (binutils/gas/config/tc-ppc.c).
It seems to only occur with -O (or -O2 in binutils case), so removing -O is a
temporary workaround.

Comment 3 Red Hat Bugzilla 2002-11-27 17:18:50 UTC
Should be fixed in gcc-3.2.1-1 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.